/*
 * AssociationsBuilder.java
 *
 * Created on 28 September 2002
 */

package lifecycle;
import uk.ac.ukc.cs.kmf.ocl.IInteger;
import uk.ac.ukc.cs.kmf.ocl.IString;
import uk.ac.ukc.cs.kmf.toolgen.vsml.AS.IAssociationEnd;
import uk.ac.ukc.cs.kmf.toolgen.vsml.AS.IClass_;
import uk.ac.ukc.cs.kmf.toolgen.vsml.repository.IvsmlRepository;

/**
 *
 * @author  sjhk
 */
public class AssociationEndLifecycle extends uk.ac.ukc.cs.kmf.toolgen.vsml.AS.implementation.AssociationEndLifecycle {
    
    /** Creates a new instance of AssociationEndLifecycle */
    protected AssociationEndLifecycle() {
        super();
    }
   
    public AssociationEndLifecycle(IvsmlRepository rep) {
        this.rep=rep;
    }
    
    public IAssociationEnd build(
        IClass_ source, IClass_ target,
        IString name, IInteger lowerBound, IInteger upperBound){
        IAssociationEnd end = (IAssociationEnd)build();
        end.setLower(lowerBound);
        end.setUpper(upperBound);
        end.setName(name);
        end.setSource(source);
        end.setTarget(target);
        source.sourceOf().add(end);
        target.targetOf().add(end);
        return end;
    }
    
}
